
from lxml import etree


def get_line_rate_from_cobertura_xml(xml_text):
    """Returns the line rate (float) from a Cobertura xml text."""

    root = etree.XML(xml_text)
    return float(root.get('line-rate'))


def get_branch_rate_from_cobertura_xml(xml_text):
    """Returns the branch rate (float) from a Cobertura xml text."""

    root = etree.XML(xml_text)
    return float(root.get('branch-rate'))
